///jf noblet novembre 2001
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

function initnav() //précautions oratoires
{ 	if (ns4)
		{layerRef = "document.layers";
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3="";
	 	layref=".layers";//pour les layers dans les layers
	 	nm='["boulier"]'//layer contenant le boulier
		}
	if (ie4)
		{layerRef = "document.all";cro3=""
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="=";
		layref="";nm="";
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		layref="";nm="";
		}
}

function choix(){
//if(t0==0){startclock();t0=1}//début du compteur
//if(chx==0){//si validation précédente
//parent.resultat.document.res.h7.value=eval(solu);
r= Math.floor((Math.random() * 5)) % 5;
parent.top.document.f1.hh.value+=1;
if(parent.top.document.f1.h1.value==1){choix()}
if(parent.top.document.f1.h2.value==1){choix}
if(parent.top.document.f1.h3.value==1){choix()}
if(parent.top.document.f1.h4.value==1){choix()}
if(parent.top.document.f1.h5.value==1){choix()}
if(parent.top.document.f1.h6.value==1){choix()}
if(parent.top.document.f1.h7.value==1){choix()}
if(parent.top.document.f1.h8.value==1){choix()}
if(parent.top.document.f1.h9.value==1){choix()}
if(parent.top.document.f1.h10.value==1){choix()}
if(parent.top.document.f1.h11.value==1){choix()}
if(parent.top.document.f1.h12.value==1){choix()}
if(parent.top.document.f1.h13.value==1){choix()}
if(parent.top.document.f1.h14.value==1){choix()}
if(parent.top.document.f1.h15.value==1){choix()}
if(parent.top.document.f1.h16.value==1){choix()}
if(parent.top.document.f1.h17.value==1){choix()}
if(parent.top.document.f1.h18.value==1){choix()}
if(parent.top.document.f1.h19.value==1){choix()}
if(parent.top.document.f1.h20.value==1){choix()}
if(parent.top.document.f1.h21.value==1){choix()}
if(parent.top.document.f1.h22.value==1){choix()}
if(parent.top.document.f1.h23.value==1){choix()}
if(parent.top.document.f1.h24.value==1){choix()}
if(parent.top.document.f1.h25.value==1){choix()}
else{
	eval("parent.top.document.f1.h"+r+".value=1");
parent.top.document.f1.hh.value+=1;
if(parent.top.document.f1.hh.value==5){alert("c'est fini")}
else{
window.location="test"+r+".htm"}}
}
